<template>
<q-page-container>
  <div class="head-container-global" :class="{sticky : sticky}">
    <div class="header-container-full">
      <a class="logo" @click="navigate('/home')" ><img alt="logo" src="../../../public/images/logo.svg" ></a>
      <nav>
        <ul>
          <li @click="navigate('tricoter')">Tricoter</li>
          <li>Fils végétaux</li>
          <li>Inspiration</li>
          <li>Ethique</li>
        </ul>
      </nav>
      <div class="icons">
        <a class="profile" ><img alt="logo" src="../../../public/images/icons/profile.png">
          <q-menu ref="modalProfile" square max-width="50vh">
            <profile/>
          </q-menu>
        </a>
        <a class="search"><img alt="logo" src="../../../public/images/icons/search.png">
          <q-menu ref="modalSearch">
           <search/>
          </q-menu>
        </a>
      </div>
    </div>
    <div class="header-container-mobile">
      <div class="menu-top" :class="{active : isActive}">
        <q-icon class="mobile-arrow-top"   @click="isActive = !isActive" :class="{active : isActive}" q-icon name="menu" />
        <q-icon class="menu-icon-top" @click="isActive = !isActive" :class="{active : !isActive}" q-icon name="menu" />
      </div>
      <div class="menu-under">
        <a class="profile-mobile" ><img alt="logo" src="../../../public/images/icons/profile.png" @click="menuState = 'PROFILE'"></a>
        <a class="search-mobile" ><img  alt="logo" src="../../../public/images/icons/search.png" @click="menuState = 'SEARCH'"></a>
        <a class="menu-icon"><q-icon class="mobile-menu" name="menu_open" @click="menuState = 'MENU'"/></a>
      </div>

      <a class="mobile-logo" v-show="false"><img alt="logo" src="../../../public/images/logo.svg"></a>
    </div>
    <div class="menu-left-mobile" :class="{active : isActive}" style="width: auto">
      <nav v-if="menuState === 'MENU'">
        <ul class="q-mr-md">
          <li>Tricoter</li>
          <li>Fils végétaux</li>
          <li>Inspiration</li>
          <li>Pourquoi tricoter végétal ?</li>
        </ul>
      </nav>
      <profile v-if="menuState === 'PROFILE'"/>
      <search v-if="menuState === 'SEARCH'"/>
    </div>
  </div>

  <q-resize-observer @resize="onResize" />
  <q-scroll-observer @scroll="onScroll" />
</q-page-container>
</template>
<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator'
import Profile from "components/Profile.vue";
import Search from "components/Search.vue";
@Component({
  components: {Search, Profile}
})
export default class profileComponent extends Vue {

  private isActive: Boolean = true;
  private sticky: Boolean = false;
  private isPopupActive: Boolean = false;
  private menuState: string = 'MENU';

  $refs: {
    modalSearch: HTMLFormElement,
    modalProfile: HTMLFormElement
  }

  onResize () {
    this.isActive = false
    this.isPopupActive = false
    this.$refs.modalProfile.hide()
    this.$refs.modalSearch.hide()
  }

  onScroll (info) {
    this.sticky = info.position < 100 ? false : true;
  }

  navigate(path){
    this.$router.push(path);
  }
}
</script>
<style lang="scss">
@import '../../css/app.scss';
/*********ELEMENTS********/
.header{
  height: 50vh;
}
.head-container-global{
  height: 50vh;
  z-index: 2;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  opacity: 1;
  display: flex;
  background-image: url("/images/bg01-MORE.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: 500%;
}
.head-container-global::before{
  content: "";
  display: block;
  position: absolute;
  z-index: -1;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background: linear-gradient(rgba(100, 142, 32, 1), rgba(50, 71, 16, 0.5));
  overflow: hidden;
}
.header-container-mobile {
  display: none;
}
.menu-left-mobile{
  display: none;
}
.logo {
  height: 100%;
  display: flex;
  flex-grow: 0.2;
  align-items: center;
  justify-content: center;
}
.header-container-full {
  width: 100%;
  display: flex;
  height: 100px;
}
.header-container-full nav {
  display: flex;
  flex-grow: 2.5;
  align-items: center;
  justify-content: center;
  color: white;
}
.header-container-full nav ul{
  display: flex;
  flex-direction: row;
  list-style: none;
  font-family: $texts-font;
  font-weight: lighter;
  font-size: 1.8vw;
  padding-left: 0 !important;
}
.header-container-full nav li{
  padding-left: 1vw;
  cursor: pointer;
  opacity: 0.7;
}
.icons{
  display: flex;
  flex-grow: 0.2;
  height: 100%;
  align-items: center;
  justify-content: flex-end;
  padding-right: 2vw;
  }
/*********ADJUSTMENT*********/
.logo img{
  height: 100%;
  }
.header-container-full nav li:hover{
  opacity: 1;
  transition: 0.5s;
  }
.icons a{
  opacity: 0.8;
  }
.icons a:hover{
  opacity: 1;
  transition: 0.5s;
  cursor: pointer;
  }
.q-menu{
  overflow: visible!important;
  max-height: max-content!important;
  max-width: min-content!important;
}
/********MOBILE PART*******/
@media (max-width: 1200px ) {
  .header-container-full {
    display: none;
  }
  .header-container-mobile {
    height: 50px;
    z-index: 2;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    opacity: 1;
    display: flex;
    background-color: #586D35;
    flex-direction: row;
  }
  .menu-top {
    height: 50px;
    width: 100%;
    display: flex;
    flex-direction: row;
    position: relative;
    top: 0;
    left: 0;
    z-index: 2;
    background-color: #586D35;
    transition: 1s;
  }
  .menu-top.active {
    margin-left: 150px;
    transition: 1s;
  }
  .menu-under {
    height: 50px;
    width: 100%;
    display: flex;
    flex-direction: row;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
  }
  .mobile-arrow-top {
    opacity: 0;
    width: 0px;
    height: 50px;
    color: white;
    font-size: 28px;
    cursor: pointer;
  }
  .mobile-arrow-top.active {
    opacity: 1;
    width: 50px;
  }
  .menu-icon-top {
    opacity: 0;
    width: 50px;
    height: 50px;
    color: white;
    font-size: 28px;
    cursor: pointer;
  }
  .menu-icon-top.active {
    transition: 1s;
    opacity: 1
  }
  .mobile-menu {
    width: 50px;
    height: 50px;
    font-size: 28px;
    color: white;
    cursor: pointer;
  }
  .mobile-logo {
    display: flex;
    flex-grow: 1;
    justify-content: flex-start;
  }
  .menu-left-mobile {
    position: absolute;
    top: 50px;
    left: -40vw;
    width: 40vw;
    background-color: aliceblue;
    height: max-content;
    transition: 1s;
    display: block;
    z-index: 3;
  }
  .menu-left-mobile ul{
    list-style: none;
    color: #586D35!important;
    font-family: $texts-font;
  }
  .menu-left-mobile.active{
    left: 0vw;
    transition: 1s;
  }
  .head-container-global{
    height: 50px!important;
  }
}

/*******STICKY MENU******/
.head-container-global{
  height: 50vh;
  width: 100%;
}
.head-container-global.sticky{
  display: block;
  position: fixed;
  z-index: 999;
  background-color: #586D35;
  top:0;
  left:0;
  transition: 0.3s;
  height: 50px;
}
.head-container-global.sticky ::before {
  height: 100%!important;
}
.head-container-global.sticky .header-container-full{
  height: 50px;
  transition: 0.3s;
}
.head-container-global.sticky .header-container-full nav ul{
  font-size:1.2vw;
  transition: 0.3s;
}
</style>
